<?php
header("Content-Type: text/html;charset=utf-8");
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

require_once("../data/Conexion.php");
require_once("../data/Tablas.php");
require_once("../clases/cls_compra_producto.php");
require_once("../clases/cls_movimiento_producto.php");

function compra_producto_lista(){
	$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
	if (isset($_POST["buscar"]) && isset($_POST["orden"])){
		$items_pagina = 0;
		$items_cantidad = 0;
		$buscar = $_POST["buscar"];
		$ordendireccion = $_POST["orden"];
		$fecha_min = $_POST["fecha_min"];
		$fecha_max = $_POST["fecha_max"];
		$filtro_tienda = $_POST["filtro_tienda"];
		$filtro_estado = "Todos";
		if (isset($_POST["filtro_estado"])){
			$filtro_estado = $_POST["filtro_estado"];
		}
		if (isset($_POST["items_pagina"])){
			$items_pagina = $_POST["items_pagina"];
		}
		if (isset($_POST["items_cantidad"])){
			$items_cantidad = $_POST["items_cantidad"];
		}
		$datos = new cls_Group_Compra_Producto();
		$lista = array();
		if ($filtro_tienda <= 0){
			$datos = cls_Group_Compra_Producto::FechaEstado($fecha_min, $fecha_max, $filtro_estado, $ordendireccion);
			$datos->cargar_datos($items_pagina, $items_cantidad);
			for ($idx=0; $idx<$datos->get_cantidad_cargados(); $idx++){
				array_push($lista, array(
					"compra_id"=>$datos->get_compra_id($idx),
					"movimiento_id"=>0,
					"fecha"=>$datos->get_compra_fecha($idx),
					"operacion"=>$datos->get_compra_operacion($idx),
					"comprobante"=>$datos->get_compra_comprobante($idx),
					"numero"=>$datos->get_compra_numero($idx),
					"producto_id"=>$datos->get_producto_id($idx),
					"precio_compra"=>$datos->get_precio_compra($idx),
					"precio_venta"=>$datos->get_precio_venta($idx),
					"precio_minimo"=>$datos->get_precio_minimo($idx),
					//"moneda_codigo"=>$datos->get_moneda_codigo($idx),
					//"moneda_simbolo"=>$datos->get_moneda_simbolo($idx),
					"unidades"=>$datos->get_unidades($idx),
					"ubicacion"=>$datos->get_ubicacion($idx),
					"fecha_vencimiento"=>$datos->get_fecha_vencimiento($idx),
					"nombre"=>$datos->get_nombre($idx),
					"imagen"=>$datos->get_imagen($idx),
					"codigo"=>$datos->get_codigo($idx),
					"codigo_barras"=>$datos->get_codigo_barras($idx),
					"codigo_almacen"=>$datos->get_codigo_almacen($idx),
					"fabricante"=>$datos->get_fabricante($idx),
					"modelo"=>$datos->get_modelo($idx),
					"serie"=>$datos->get_serie($idx),
					"peso"=>$datos->get_peso($idx),
					"stock_minimo"=>$datos->get_stock_minimo($idx),
					"categoria_id"=>$datos->get_categoria_id($idx),
					"categoria_codigo"=>$datos->get_categoria_codigo($idx),
					"categoria_nombre"=>$datos->get_categoria_nombre($idx),
					"unidad_medida_id"=>$datos->get_unidad_medida_id($idx),
					"unidad_medida_nombre"=>$datos->get_unidad_medida_nombre($idx),
					"unidad_medida_simbolo"=>$datos->get_unidad_medida_simbolo($idx),
				));
			}
		} else {
			$datos = cls_Group_Movimiento_Producto::TiendaFechaEstado($filtro_tienda, $fecha_min, $fecha_max, $filtro_estado, $ordendireccion);
			$datos->cargar_datos($items_pagina, $items_cantidad);
			for ($idx=0; $idx<$datos->get_cantidad_cargados(); $idx++){
				array_push($lista, array(
					"compra_id"=>0,
					"movimiento_id"=>$datos->get_movimiento_id($idx),
					"fecha"=>$datos->get_movimiento_fecha($idx),
					"operacion"=>$datos->get_movimiento_tipo_movimiento($idx),
					"comprobante"=>"",
					"numero"=>"",
					"producto_id"=>$datos->get_producto_id($idx),
					"precio_compra"=>0,
					"precio_venta"=>$datos->get_precio_venta($idx),
					"precio_minimo"=>$datos->get_precio_minimo($idx),
					"unidades"=>$datos->get_unidades($idx),
					"ubicacion"=>"",
					"fecha_vencimiento"=>$datos->get_fecha_vencimiento($idx),
					"nombre"=>$datos->get_nombre($idx),
					"imagen"=>$datos->get_imagen($idx),
					"codigo"=>$datos->get_codigo($idx),
					"codigo_barras"=>$datos->get_codigo_barras($idx),
					"codigo_almacen"=>$datos->get_codigo_almacen($idx),
					"fabricante"=>$datos->get_fabricante($idx),
					"modelo"=>$datos->get_modelo($idx),
					"serie"=>$datos->get_serie($idx),
					"peso"=>$datos->get_peso($idx),
					"stock_minimo"=>$datos->get_stock_minimo($idx),
					"categoria_id"=>$datos->get_categoria_id($idx),
					"categoria_codigo"=>$datos->get_categoria_codigo($idx),
					"categoria_nombre"=>$datos->get_categoria_nombre($idx),
					"unidad_medida_id"=>$datos->get_unidad_medida_id($idx),
					"unidad_medida_nombre"=>$datos->get_unidad_medida_nombre($idx),
					"unidad_medida_simbolo"=>$datos->get_unidad_medida_simbolo($idx),
				));
			}
		}
		$respuestas["datos"] = $lista;
		$respuestas["estado"]  = "ok";
		$respuestas["mensaje"]  = "Los datos se cargaron correctamente";
	} else {
		$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
	}
	echo(json_encode($respuestas));
}
function compra_producto_datos(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
		echo(json_encode($respuestas));
}
function compra_producto_regisrar(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "codigo"=>0, "indices"=>array());
		echo(json_encode($respuestas));
}
function compra_producto_almacenar(){
	$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
	echo(json_encode($respuestas));
}
function compra_producto_eliminar(){
		$respuestas = array("estado"=>"error", "mensaje"=>"");
		echo(json_encode($respuestas));
}

if (isset($_POST["accion"])){
    if ($_POST["accion"] == "lista"){
		compra_producto_lista();
	} else if ($_POST["accion"] == "datos"){
		compra_producto_datos();
    } else if ($_POST["accion"] == "registrar"){
		compra_producto_regisrar();
    } else if ($_POST["accion"] == "almacenar"){
		compra_producto_almacenar();
    } else if ($_POST["accion"] == "eliminar"){
		compra_producto_eliminar();
	}
}
?>
